Bug 199693 - variable-length array not supported?
variable-length array not supported?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-21 09:22 EDT by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 12:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test (207 bytes, text/x-c++src)
2006-07-21 09:22 EDT, Neal Becker
no flags Details

  None (edit)
Description Neal Becker 2006-07-21 09:22:42 EDT
Created attachment 132805 [details]
test
Comment 1 Neal Becker 2006-07-21 09:22:42 EDT
Description of problem:

variable-length arrays not supported?

Version-Release number of selected component (if applicable):
gcc-4.1.1-1.fc5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
g++ -c Test.cc -I /usr/local/src/boost.cvs
Test.cc:5: error: ‘size’ was not declared in this scope
Test.cc: In function ‘int main()’:
Test.cc:10: error: no matching function for call to ‘F(std::vector<int, 
std::allocator<int> >&, size_t, int&)’


Expected results:


Additional info:
Comment 2 Jakub Jelinek 2006-08-11 12:00:27 EDT
Yeah, ISO C++98 doesn't have variable length arrays, that is only ISO C99
feature.

Note You need to log in before you can comment on or make changes to this bug.